JavaScript
import BrainbaseLabs from 'brainbase-labs';
const client = new BrainbaseLabs({
apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
});
const _export = await client.team.exports.create({
endDate: 'endDate',
format: 'format',
startDate: 'startDate',
});
console.log(_export.id);import os
from brainbase_labs import BrainbaseLabs
client = BrainbaseLabs(
api_key=os.environ.get("BRAINBASE_LABS_API_KEY"), # This is the default and can be omitted
)
export = client.team.exports.create(
end_date="endDate",
format="format",
start_date="startDate",
)
print(export.id)curl --request POST \
--url https://brainbase-monorepo-api.onrender.com/api/team/exports \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"format": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"logType": "<string>",
"workerId": "<string>",
"deploymentId": "<string>",
"fields": [
"<string>"
],
"filtersJson": {}
}
'
{
"id": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z"
}Log Exports
Create a new log export job
Queues an async export of deployment logs to CSV or JSON. The export is processed in the background and uploaded to S3. Poll GET /api/team/exports/ for status and download URL. Max one active export per team. Max 90-day date range.
POST
/
api
/
team
/
exports
JavaScript
import BrainbaseLabs from 'brainbase-labs';
const client = new BrainbaseLabs({
apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
});
const _export = await client.team.exports.create({
endDate: 'endDate',
format: 'format',
startDate: 'startDate',
});
console.log(_export.id);import os
from brainbase_labs import BrainbaseLabs
client = BrainbaseLabs(
api_key=os.environ.get("BRAINBASE_LABS_API_KEY"), # This is the default and can be omitted
)
export = client.team.exports.create(
end_date="endDate",
format="format",
start_date="startDate",
)
print(export.id)Authorizations
API key authentication
Body
application/json
⌘I
